%bcond_with tests

%global _empty_manifest_terminate_build 0
%global pypi_name orjson

%global _description %{expand:
orjosn is a fast, correct Python JSON library supporting dataclasses,
datetimes, and numpy}

Summary:     Fast, correct Python JSON library
Name:        python-%{pypi_name}
Version:     3.9.5
Release:     2%{?dist}
License:     MIT
URL:         https://github.com/ijl/orjson
Source0:     %{url}/archive/%{version}/%{pypi_name}-%{version}.tar.gz

BuildRequires:  python3-devel python3-pip python3-wheel python3-setuptools
BuildRequires:  python3-setuptools_scm python3-maturin python3-pytest-forked python3-rust2rpm

# for test
%if %{with tests}
BuildRequires:  python3-arrow python3-faker python3-numpy python3-pendulum
BuildRequires:  python3-psutil python3-pytest python3-pytz python3-typing-extensions python3-xxhash
%endif

%description %_description

%package -n python3-%{pypi_name}
Summary:     Fast, correct Python JSON library

%description -n python3-%{pypi_name} %_description

%prep
%autosetup -n %{pypi_name}-%{version}

%build
%pyproject_wheel

%install
%pyproject_install

%check
%if %{with tests}
%pytest
%endif

%files -n python3-%{pypi_name}
%license LICENSE-MIT
%doc README.md
%{python3_sitearch}/%{pypi_name}-%{version}.dist-info/
%{python3_sitearch}/orjson/
  
%changelog
* Wed Jun 11 2025 bbrucezhang <bbrucezhang@tencent.com> - 3.9.5-2
- Rebuilt for loongarch64

* Thu Jun 13 2024 Shuo Wang <abushwang@tencent.com> - 3.9.5-1
- initial build
